Package Details: spacefm-git 1.0.6.r80.ge257d15-3

Git Clone URL: https://aur.archlinux.org/spacefm-git.git (read-only, click to copy)
Package Base: spacefm-git
Description: Multi-panel tabbed file manager
Upstream URL: https://ignorantguru.github.io/spacefm
Keywords: file manager
Licenses: GPL3
Conflicts: spacefm
Provides: spacefm
Submitter: IgnorantGuru
Maintainer: FabioLolix
Last Packager: FabioLolix
Votes: 21
Popularity: 0.000140
First Submitted: 2012-04-06 13:11 (UTC)
Last Updated: 2020-07-04 12:36 (UTC)

Dependencies (18)

Required by (3)

Sources (3)

Latest Comments

dedguy21 commented on 2021-10-10 00:32 (UTC) (edited on 2021-10-10 00:35 (UTC) by dedguy21)

I'm getting an error during the build process

.... config.status: executing po/stamp-it commands ./configure: 20001: Bad substitution ==> ERROR: A failure occurred in build(). Aborting...

flu commented on 2021-03-07 08:48 (UTC)

Not sure if it's worth to add to optdepts but definetely worth mentioning: install webp-pixbuf-loader to gain webp thumbnail support

michabuntu commented on 2020-06-30 05:35 (UTC)

Why gcc8? The package can be build with gcc10, with the patch from here: https://github.com/IgnorantGuru/spacefm/issues/770

Klyachkivsky commented on 2016-02-05 08:23 (UTC)

ERROR: url should not be an array

pablokal commented on 2015-04-16 14:42 (UTC)

Out of date http://ignorantguru.github.io/spacefm/news.html#1.0.0

Alad commented on 2015-03-10 09:15 (UTC)

I'm afraid a new source change is in order: https://github.com/IgnorantGuru/spacefm/issues/478 source=(git+https://github.com/IgnorantGuru/$_name#branch=hand) and add 'ffmpegthumbnailer' to depends

Alad commented on 2015-02-20 01:48 (UTC)

There's a maintenance git here as suggested by upstream: https://github.com/BwackNinja/spacefm https://github.com/IgnorantGuru/spacefm/issues/468#issuecomment-74749221

orschiro commented on 2014-04-04 11:47 (UTC)

@flu Thank you! I was able to successfully build it.

orschiro commented on 2014-04-02 17:37 (UTC)

I would like to test spacefm-git. However, the built process fails with the following error. Any ideas what is wrong? ==> Starting build()... checking for a BSD-compatible install... /usr/bin/install -c checking whether build environment is sane... yes checking for a thread-safe mkdir -p... /usr/bin/mkdir -p checking for gawk... gawk checking whether make sets $(MAKE)... yes checking whether make supports nested variables... yes checking whether to enable maintainer-specific portions of Makefiles... no checking for style of include used by make... GNU checking for gcc... gcc checking whether the C compiler works... no configure: error: in `/home/orschiro/spacefm-git/src/spacefm': configure: error: C compiler cannot create executables See `config.log' for more details

IgnorantGuru commented on 2014-01-18 14:37 (UTC)

flu, your privatepaste link below is broken. I am orphaning this package now so if you or someone else can maintain it that would be helpful - thanks.

IgnorantGuru commented on 2013-02-15 18:29 (UTC)

@ivanmmj: That's the best excuse I've heard in awhile. ;) Best of luck!

commented on 2013-02-15 18:17 (UTC)

Sorry, buying a house and have a baby on the way. I wouldn't have time to maintain it. I don't use this package, either. I just noticed the issue and thought I'd help out. Hopefully you'll find someone, though.

IgnorantGuru commented on 2013-02-14 18:43 (UTC)

@ivanmmj: Okay, trying the shallow clone again. I'm not on an Arch machine atm so untested. If you or someone else would like to maintain this let me know and I'll orphan it. Also, this changes spacefm-git to a GTK3 build, since [community] spacefm uses GTK3 now. There is also an AUR spacefm-gtk2. Someone could create a spacefm-gtk2-git if desired.

commented on 2013-02-05 17:45 (UTC)

IgnorantGuru: If you use "--depth 1", please make sure to add: rm -rf "$srcdir/$_gitname/.git/shallow" after the following line: rm -rf "$srcdir/$_gitname-build" This will fix the cloning locally from a shallow clone.

commented on 2012-11-20 14:03 (UTC)

Been using full time for months, good work!

IgnorantGuru commented on 2012-08-03 13:50 (UTC)

@martadinata666: I'm not familiar with globalmenu. If this problem appears to be in spacefm please open a bug report and specify exactly what you're attempting to do in spacefm and what the result is - iow how to reproduce this (without xcfe panel involved). fyi the 'WIDGET_REALIZED_FOR_EVENT' appears to be an unresolved gtk issue - it usually goes away once you click on the file list after opening spacefm. That warning may be unrelated to the problem you're having. You can open an issue here: https://github.com/IgnorantGuru/spacefm/issues/

martadinata666 commented on 2012-07-30 11:35 (UTC)

umm, im using globalmenu on xfce4 panel, and got (spacefm:2667): Gtk-CRITICAL **: IA__gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed when try open menu, the doesn't show it self... this is not happen on old pcmanfm...

IgnorantGuru commented on 2012-07-23 21:32 (UTC)

This package now uses the new --disable-pixmaps configure option to install icons to share/icons/hicolor instead of share/pixmaps, which improves gtk caching. See https://github.com/IgnorantGuru/spacefm/issues/104

IgnorantGuru commented on 2012-04-09 21:25 (UTC)

Ok should be fixed - I tried added --depth 1 to the git clone but then the local clone doesn't work. I have changed it back, but someone might want to try to figure out how to do a shallow clone as it seems unnecessary to download the whole history.

asdf-chan commented on 2012-04-09 19:43 (UTC)

Sadly, I'm having this error: ==> Starting make... Cloning into '/tmp/pacaurtmp-asdf/spacefm-git/src/spacefm-build'... fatal: attempt to fetch/clone from a shallow repository fatal: The remote end hung up unexpectedly ==> ERROR: A failure occurred in build(). Aborting...

IgnorantGuru commented on 2012-04-06 16:02 (UTC)

I added conflicts and provides spacefm - shouldn't be anything else

ridikulusrat commented on 2012-04-06 15:36 (UTC)

No "conflicts" or "provides" for spacefm?

IgnorantGuru commented on 2012-04-06 13:13 (UTC)

This pkg installs the 'next' branch of SpaceFM (the upcoming release as a work in progress, updated more frequently). Alternatively, the master branch is the last released version, which may be installed from https://aur.archlinux.org/packages.php?ID=55777